<template>
    <div>
        <button
            class="px-6 py-3 items-center inline-flex text-white no-underline bg-blue-500 rounded hover:bg-blue-600 hover:text-white"
            type="button" @click="toggleModal()">
            <span class="pr-2">
                +
            </span>
            Add new task
        </button>

        <div v-if="showModal" id="modalTest"
            class="overflow-x-hidden overflow-y-auto fixed inset-0 z-50 outline-none focus:outline-none justify-center items-center flex">
            <div class="relative w-1/2 my-6 mx-auto max-w-6xl">
                <form @submit.prevent="create(toggleModal)">
                    <!--content-->
                    <div
                        class="border-0 rounded-lg shadow-lg relative flex flex-col w-full bg-white outline-none focus:outline-none">
                        <!--header-->
                        <div class="flex items-start justify-between p-5 border-b border-solid border-slate-200 rounded-t">
                            <h3 class="text-3xl font-semibold">
                                New task
                            </h3>
                            <button
                                class="p-1 ml-auto bg-transparent border-0 text-black opacity-50 float-right text-3xl leading-none font-semibold outline-none focus:outline-none"
                                @click="toggleModal()">
                                <span
                                    class="bg-transparent text-black opacity-50 h-6 w-6 text-2xl block outline-none focus:outline-none">
                                    ×
                                </span>
                            </button>
                        </div>
                        <!--body-->

                        <div class="m-6">
                            <div class="mb-4">
                                <label class="label">Task</label>
                                <input v-model.text="form.task" type="text" class="input" />
                                <div v-if="form.errors.task" class="input-error">
                                    {{ form.errors.task }}
                                </div>
                            </div>
                        </div>
                        <!--footer-->
                        <div class="flex items-center justify-end p-6 border-t border-solid border-slate-200 rounded-b">
                            <button type="submit"
                                class="px-6 py-3 text-white no-underline bg-blue-500 rounded hover:bg-blue-600 hover:text-white">Create</button>

                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div v-if="showModal" class="opacity-25 fixed inset-0 z-40 bg-black"></div>
    </div>
</template>
  
<script setup>
import { useForm } from '@inertiajs/vue3';

const form = useForm({
    task: '',
});



const create = async (toggleModal) => {
    await form.post(route('task.store'));
    toggleModal();
};
</script>

<script>
export default {
    name: "large-modal",
    data() {
        return {
            showModal: false
        }
    },
    methods: {
        toggleModal: function () {
            this.showModal = !this.showModal;
        }
    }
}
</script>